/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:EXP.c 12.0$ */
/* $ACIS:EXP.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libpc/RCS/EXP.c,v $ */

#ifndef lint
static char *rcsid = "$Header:EXP.c 12.0$";
#endif

/* Copyright (c) 1982 Regents of the University of California */

static char sccsid[] = "@(#)EXP.c 1.1 2/8/82";

#include <math.h>
extern int errno;

double
EXP(value)
	double	value;
{
	double result;

	errno = 0;
	result = exp(value);
	if (errno != 0) {
		ERROR("exp(%e) yields a result that is out of the range of reals\n", value);
		return;
	}
	return result;
}
